include "speak43.jsm"
include "common.jsm"
include "hjConst.jsh"
include "speakWindows.jsl"; Functions for annoying and long tasks that are called by multiple speak windows.

Void Function AutoStartEvent ()
SpeechOff()
{Alt+Space}
{x}
Delay(2)
SpeechOn()
PerformScript SayWindowTitle()
SayFocusedWindow()
SetupHandleList()
EndFunction

Script StopFile()
SpeechOff()
SaveCursor()
JAWSCursor()
MoveToWindow(hStop)
LeftMouseButton()
RestoreCursor()
Delay(2)
SpeechOn()
EndScript

Script PauseFile()
SpeechOff()
SaveCursor()
JAWSCursor()
MoveToWindow(hPause)
LeftMouseButton()
RestoreCursor()
Delay(2)
SpeechOn()
EndScript

Script SayYourFile()
SpeechOff()
SaveCursor()
JAWSCursor()
MoveToWindow(hPlay)
LeftMouseButton()
RestoreCursor()
Delay(2)
SpeechOn()
EndScript

Script SaveText()
If DialogActive()==1 then
	TypeCurrentScriptKey()
	Return
Endif
SpeechOff()
{Alt+F}
Pause()
{S}
Delay(1)
SpeechOn()
SayString("save text")
EndScript

Script SaveWave()
If DialogActive()==1 then
	TypeCurrentScriptKey()
	Return
Endif
SpeechOff()
{Alt+F}
Pause()
{C}
Pause()
{Enter}
Delay(1)
SpeechOn()
SayString("save wave")
EndScript

Script VoiceSelection ()
Var
	String sVoicelist
let sVoicelist="Paul|Betty|Harry|Frank|Dennis|Kit|Ursula|Rita|Wendy"
If !iListIndex then; it hasn't been used before during this session.
	Let iListIndex=1; Paul will be selected by default.
Endif
Let iListIndex=DlgSelectItemInList (sVoicelist, "Voice Picker", 0, iListIndex, "", -1); recall the previously used voice if used.
If iListIndex then
	Pause()
;Get the hard stuff out of the way
SpeechOff() SaveCursor() JAWSCursor()
	If iListIndex==1 then; paul
		MoveToWindow(hPaul) LeftMouseButton()
	ElIf iListIndex==2 then; Betty
		MoveToWindow(hBetty) LeftMouseButton()
	ElIf iListIndex==3 then; Harry
		MoveToWindow(hHarry) LeftMouseButton()
	ElIf iListIndex==4 then; Frank
		MoveToWindow(hFrank) LeftMouseButton()
	ElIf iListIndex==5 then; Dennis
		MoveToWindow(hDennis) LeftMouseButton()
	ElIf iListIndex==6 then;Kit
		MoveToWindow(hKit) LeftMouseButton()
	Elif iListIndex==7 then;Ursula
		MoveToWindow(hUrs) LeftMouseButton()
	Elif iListIndex==8 then; Rita
		MoveToWindow(hRita) LeftMouseButton()
	Elif IListIndex==9 then
		MoveToWindow(hWendy) LeftMouseButton()
	EndIf
	RestoreCursor() RestoreCursor() Delay(2) SpeechOn() SayFocusedWindow()
Else 
	SayString("Canceled!")
Endif
EndScript

Script TopOfFile ()
SayString("top")
{control+Home}
SayLine()
EndScript

Script BottomOfFile ()
SayString("bottom")
{Control+End}
SayLine()
EndScript


Script HotKeyHelp ()
If UserBufferIsActive () Then 
UserBufferDeactivate () 
EndIf
SayFormattedMessage (OT_USER_BUFFER, MsgVirtualViewer)
EndScript
